#!/bin/sh

UNITTEST=1
. ./sdo-rm-old-backups.sh

BACKUP_DIR=/tmp/sdcard_tests/backup

create_test_files()
{
    rm -rf $BACKUP_DIR
    mkdir -p $BACKUP_DIR
    mkdir $BACKUP_DIR/foo
    mkdir $BACKUP_DIR/bar

    for Y in $(seq 2013 $(date "+%Y")); do
        for M in `seq -w 1 12`; do
            for d in `seq -w 1 13 30`; do
                mkdir $BACKUP_DIR/$Y-$M-$d
                touch $BACKUP_DIR/$Y-$M-$d/place_holder
            done
        done
    done
}


create_test_files

echo
echo "$(date_iso8601) Discard old backups"
ls_backups | older_2years | discard_backup
echo
echo "-- ignore messages: \"unexpected backup folder: foo/bar\""
echo
